ServiceEvent
Date: 2017-02-10

javax.jmdns

## Class ServiceEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.jmdns.ServiceEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ServiceEventImpl

      public abstract class ServiceEvent
      extends java.util.EventObject
      implements java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceEvent(java.lang.Object eventSource)` Constructs a Service Event.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceEvent` | `clone()`
    `abstract JmDNS` | `getDNS()` Returns the JmDNS instance which originated the event.
    `abstract ServiceInfo` | `getInfo()` Returns the service info record, or null if the service could not be resolved.
    `abstract java.lang.String` | `getName()` Returns the instance name of the service.
    `abstract java.lang.String` | `getType()` Returns the fully qualified type of the service.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceEvent

          public ServiceEvent(java.lang.Object eventSource)

      Constructs a Service Event.
      Parameters:
        `eventSource` - The object on which the Event initially occurred.
      Throws:
        `java.lang.IllegalArgumentException` - if source is null.

  - ### Method Detail

    - #### getDNS

          public abstract JmDNS getDNS()

      Returns the JmDNS instance which originated the event.
      Returns:
        JmDNS instance

    - #### getType

          public abstract java.lang.String getType()

      Returns the fully qualified type of the service.
      Returns:
        type of the service.

    - #### getName

          public abstract java.lang.String getName()

      Returns the instance name of the service. Always returns null, if the event is sent to a service type listener.
      Returns:
        name of the service

    - #### getInfo

          public abstract ServiceInfo getInfo()

      Returns the service info record, or null if the service could not be resolved. Always returns null, if the event is sent to a service type listener.
      Returns:
        service info record
      See Also:
        `getInfo()`

    - #### clone

          public ServiceEvent clone()

      Overrides:
        `clone` in class `java.lang.Object`